Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.paramlist
Class ReportParamList

    java.lang.Object
      jet.server.api.paramlist.ParamList
          jet.server.api.paramlist.ReportParamList

All Implemented Interfaces:
  java.io.Serializable

    public class ReportParamList

extends ParamList
implements java.io.Serializable

The ReportParamList object contains all saved parameter values of report level parameter value list.

The report parameter value list contains 3 types:

- manual type: represent it using `TYPE_MANUAL`
- auto type: represent it using `TYPE_AUTO`
- user defined default type: represent it using `TYPE_DEFAULT`

It represent the XML <ParameterListXXX>(deprecated since V11.1Update1) or <ReportParamList> node of report level.

Since:
  V11.1Update1
See Also:
  Serialized Form

Field Summary
`static byte` | `TYPE_AUTO` This constant used to describe saved parameter value list type is auto.
`static byte` | `TYPE_BUILDIN_DEFAULT` This constant used to describe this report parameter value list is build in default of template, and cannot be saved to XML file.
`static byte` | `TYPE_DEFAULT` This constant used to describe saved parameter value list type is user defined default value.
`static byte` | `TYPE_MANUAL` This constant used to describe saved parameter value list type is manual.

Constructor Summary
`ReportParamList(java.lang.String reportPath, byte type)` New a report parameter value list object.

Method Summary
`void` | `addSheetParamList(SheetParamList sheetParamList)` Add report sheet parameter value list object.
`java.lang.String` | `getReportPath()` Get report resource path.
`SheetParamList` | `getSheetParamList(java.lang.String sheetName)` Get report sheet parameter value list object by specified sheet name.
`java.util.Map<java.lang.String,SheetParamList>` | `getSheetParamListMap()` Get report sheet saved parameter value list map.
`byte` | `getType()` Get parameter value list saved type, it can be TYPE_MANUAL/TYPE_AUTO/TYPE_DEFAULT
`boolean` | `isAuto()` Check whether this parameter value list is saved automatically.
`boolean` | `isBuildin()` Check whether this parameter value list is build in default values of template.
`boolean` | `isDefault()` Check whether this parameter value list is saved user defined default.
`boolean` | `isManual()` Check whether this parameter value list is saved manually.
`boolean` | `isSheetsEquals(java.util.Map<java.lang.String,SheetParamList> thatSheetParamListMap)`
`void` | `setReportPath(java.lang.String reportPath)` Set report resource path.
`void` | `setSheetParamListMap(java.util.Map<java.lang.String,SheetParamList> sheetParamListMap)` Set report sheet parameter value list map.
`void` | `setType(byte type)` Set parameter value list saved type, it can be TYPE_MANUAL/TYPE_AUTO/TYPE_DEFAULT
`java.lang.String` | `toString()`

Methods inherited from class jet.server.api.paramlist.ParamList
`addParamValue, get, getAttributes, getName, getParamValue, getParamValueMap, getParamValues, isParamValuesEquals, set, setAttributes, setName, setParamValues, sizeOfParamValues, sort`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_BUILDIN_DEFAULT

    public static final byte TYPE_BUILDIN_DEFAULT

  This constant used to describe this report parameter value list is build in default of template, and cannot be saved to XML file.

  See Also:
    Constant Field Values

### TYPE_MANUAL

    public static final byte TYPE_MANUAL

  This constant used to describe saved parameter value list type is manual.

  See Also:
    Constant Field Values

### TYPE_AUTO

    public static final byte TYPE_AUTO

  This constant used to describe saved parameter value list type is auto.

  See Also:
    Constant Field Values

### TYPE_DEFAULT

    public static final byte TYPE_DEFAULT

  This constant used to describe saved parameter value list type is user defined default value.

  See Also:
    Constant Field Values

Constructor Detail

### ReportParamList

    public ReportParamList(java.lang.String reportPath,
                           byte type)

  New a report parameter value list object.

  Parameters:
    `reportPath` - report resource path. for example: "/SampleReports/Cascade Parameters.cls"
    `type` - the report parameter list type, options are `ReportParamList.TYPE_XXXX`.

Method Detail

### getSheetParamListMap

    public java.util.Map<java.lang.String,SheetParamList> getSheetParamListMap()

  Get report sheet saved parameter value list map.

  They are corresponding with <SheetParamList> node list nested in <ReportParamList>

  Returns:
    SheetParamList objects collection, key is sheet name.

### setSheetParamListMap

    public void setSheetParamListMap(java.util.Map<java.lang.String,SheetParamList> sheetParamListMap)

  Set report sheet parameter value list map.

  The report sheet parameter value list will be save to <SheetParamList> nodes nested in <ReportParamList> node in XML file.

  They are corresponding with <SheetParamList> nodes list nested in <ReportParamList>

  Parameters:
    `sheetParamListMap` - SheetParamList collection

### addSheetParamList

    public void addSheetParamList(SheetParamList sheetParamList)

  Add report sheet parameter value list object.

  The report sheet parameter value list will be save to <SheetParamList> node nested in <ReportParamList> node in XML file.

  Parameters:
    `sheetParamList` - report sheet level parameter value list object

### getSheetParamList

    public SheetParamList getSheetParamList(java.lang.String sheetName)

  Get report sheet parameter value list object by specified sheet name.

  Parameters:
    `sheetName` - specified sheet name.
  Returns:
    report sheet parameter value list object.

### getReportPath

    public java.lang.String getReportPath()

  Get report resource path.

  Example: /SampleReports/Cascade Parameters.cls

  It is corresponding with "report" attribute of <history-parameter> node.

### setReportPath

    public void setReportPath(java.lang.String reportPath)

  Set report resource path.

  Example: /SampleReports/Cascade Parameters.cls

  It's will be save to "report" attribute of <history-parameter> node.

### getType

    public byte getType()

  Get parameter value list saved type, it can be TYPE_MANUAL/TYPE_AUTO/TYPE_DEFAULT

  The default value is TYPE_MANUAL.

  It is corresponding with "isAutosaveParam" attribute of <ParameterListXXX>(deprecated since V11.1Update1) or "type" attribute of <ReportParamList>(since V11.1Update1) node.

### setType

    public void setType(byte type)

  Set parameter value list saved type, it can be TYPE_MANUAL/TYPE_AUTO/TYPE_DEFAULT

  The default value is TYPE_MANUAL.

  It is corresponding with "isAutosaveParam" attribute of <ParameterListXXX>(deprecated since V11.1Update1) or "type" attribute of <ReportParamList>(since V11.1Update1) node.

### isManual

    public boolean isManual()

  Check whether this parameter value list is saved manually.

### isAuto

    public boolean isAuto()

  Check whether this parameter value list is saved automatically.

### isDefault

    public boolean isDefault()

  Check whether this parameter value list is saved user defined default.

### isBuildin

    public boolean isBuildin()

  Check whether this parameter value list is build in default values of template.

### isSheetsEquals

    public boolean isSheetsEquals(java.util.Map<java.lang.String,SheetParamList> thatSheetParamListMap)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD